| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassGui
- IsotopicDataTableView

# MsXpS::libXpertMassGui::IsotopicDataTableView Class

class MsXpS::libXpertMassGui::IsotopicDataTableView

The IsotopicDataTableView class provides a table view widget to display isotopic data. More...

Header: | `#include <IsotopicDataTableView.hpp>`

- List of all members, including inherited members
- IsotopicDataTableView is part of libXpertMassGui Mass calculations.

## Public Functions

| IsotopicDataTableView(QWidget *parent_p = 0)
| ~IsotopicDataTableView()
MsXpS::libXpertMassCore::IsotopicDataSPtr | getIsotopicData()
QWidget * | parent()
void | selectionChanged(const QItemSelection &selected, const QItemSelection &deselected)
void | setIsotopicData(MsXpS::libXpertMassCore::IsotopicDataSPtr isotopic_data_sp)
void | setParent(QWidget *parent_p)

## Protected Variables

QPoint | m_dragStartPos
QWidget * | mp_parent
MsXpS::libXpertMassCore::IsotopicDataSPtr | msp_isotopicData

## Detailed Description

## Member Function Documentation

### IsotopicDataTableView::IsotopicDataTableView(QWidget *parent_p = 0)

Constructs a IsotopicDataTableView instance with parent_p widget.

### `[noexcept]` IsotopicDataTableView::~IsotopicDataTableView()

Destructs this IsotopicDataTableView instance.

### MsXpS::libXpertMassCore::IsotopicDataSPtr IsotopicDataTableView::getIsotopicData()

Returns the isotopic data.

### QWidget *IsotopicDataTableView::parent()

Returns the parent widget.

See also setParent().

### void IsotopicDataTableView::selectionChanged(const QItemSelection &selected, const QItemSelection &deselected)

Reacts to a selection change in the table view.

The selected parameter lists item that have undergone selection during a (de)selection operation, not the items that have been effectively committed to selection (release of key or release of mouse drag).

Likewise for deselected.

This function elaborates a list of selected rows (not selected cells) and emits the selectedRowsChangedSignal with the set of selected rows.

### void IsotopicDataTableView::setIsotopicData(MsXpS::libXpertMassCore::IsotopicDataSPtr isotopic_data_sp)

Sets the isotopic data isotopic_data_sp.

### void IsotopicDataTableView::setParent(QWidget *parent_p)

Sets the parent widget parent_p.

See also parent().

## Member Variable Documentation

### QPoint IsotopicDataTableView::m_dragStartPos

This variable holds the start drag position.

### QWidget *IsotopicDataTableView::mp_parent

This variable holds the parent widget.

### MsXpS::libXpertMassCore::IsotopicDataSPtr IsotopicDataTableView::msp_isotopicData

This variable holds the isotopic data.